#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Validate FQDN against RFC 1123
Summary(pl.UTF-8):	Sprawdzanie poprawności FQDN względem RFC 1123
Name:		python-fqdn
Version:	1.5.1
Release:	1
License:	MPL v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/fqdn/
Source0:	https://files.pythonhosted.org/packages/source/f/fqdn/fqdn-%{version}.tar.gz
# Source0-md5:	94efcd12bbeba833fe4cd83ac6db268c
URL:		https://pypi.org/project/fqdn/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package validates Fully Qualified Domain Names (FQDNs) conforming
to the Internet Engineering Task Force specification. The design
intent is to validate that a string would be traditionally acceptable
as a public Internet hostname to RFC-conforming software, which is a
strict subset of the logic in modern web browsers like Mozilla Firefox
and Chromium that determines whether make a DNS lookup. Configuration
options can relax constraints so that short hostnames without periods
or others with underscores will be valid. These relaxations are closer
to how modern web browsers work.

%description -l pl.UTF-8
Ten pakiet sprawdza zgodność FQDN (Fully Qualified Domain Names - w
pełni kwalifikowanych nazw domen) ze specyfikacją IETF (Internet
Engineering Task Force). Celem projektu jest sprawdzanie, czy łańcuch
znaków byłby tradycyjnie akceptowalny jako nazwa publicznego hosta w
Internecie dla oprogramowania zgodnego z RFC, co jest ścisłym
podzbiorem logiki we współczesnych przeglądarkach WWW, takich jak
Mozilla Firefix czy Chromium, określającej, czy wykonać wyszukanie w
DNS. Opcje konfiguracyjne mogą złagodzić ograniczenia tak, żeby
krótkie nazwy hostów bez kropek lub inne z podkreśleniami były
traktowane jako poprawne. Poluzowania te są bliższe temu, jak działają
współczesne przeglądarki WWW.

%package -n python3-fqdn
Summary:	Validate FQDN against RFC 1123
Summary(pl.UTF-8):	Sprawdzanie poprawności FQDN względem RFC 1123
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-fqdn
This package validates Fully Qualified Domain Names (FQDNs) conforming
to the Internet Engineering Task Force specification. The design
intent is to validate that a string would be traditionally acceptable
as a public Internet hostname to RFC-conforming software, which is a
strict subset of the logic in modern web browsers like Mozilla Firefox
and Chromium that determines whether make a DNS lookup. Configuration
options can relax constraints so that short hostnames without periods
or others with underscores will be valid. These relaxations are closer
to how modern web browsers work.

%description -n python3-fqdn -l pl.UTF-8
Ten pakiet sprawdza zgodność FQDN (Fully Qualified Domain Names - w
pełni kwalifikowanych nazw domen) ze specyfikacją IETF (Internet
Engineering Task Force). Celem projektu jest sprawdzanie, czy łańcuch
znaków byłby tradycyjnie akceptowalny jako nazwa publicznego hosta w
Internecie dla oprogramowania zgodnego z RFC, co jest ścisłym
podzbiorem logiki we współczesnych przeglądarkach WWW, takich jak
Mozilla Firefix czy Chromium, określającej, czy wykonać wyszukanie w
DNS. Opcje konfiguracyjne mogą złagodzić ograniczenia tak, żeby
krótkie nazwy hostów bez kropek lub inne z podkreśleniami były
traktowane jako poprawne. Poluzowania te są bliższe temu, jak działają
współczesne przeglądarki WWW.

%prep
%setup -q -n fqdn-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/fqdn
%{py_sitescriptdir}/fqdn-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-fqdn
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/fqdn
%{py3_sitescriptdir}/fqdn-%{version}-py*.egg-info
%endif
%changelog
* Mon Jul 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-fqdn.git;a=log;h=master

* Sun Jul 13 2025 Jakub Bogusz <qboosh@pld-linux.org> effb586
- new

